#pragma once
#include <d3d11.h>

#include "dx_pipeline_loader.h"
#include "core/pipeline/rect_pipeline.h"

class dx_rect_pipeline : public rect_pipeline {
public:
    bool init() override;
    void use() override;
    void draw(uint32_t in_index_count) override;
private:
    dx_pipeline_loader loader;
};
